# -*- coding: utf-8 -*-

"""
paypalserversdk

This file was automatically generated by APIMATIC v3.0 (
 https://www.apimatic.io ).
"""


class ApplePayExperienceContext(object):

    """Implementation of the 'Apple Pay Experience Context' model.

    Customizes the payer experience during the approval process for the
    payment.

    Attributes:
        return_url (str): Describes the URL.
        cancel_url (str): Describes the URL.

    """

    # Create a mapping from Model property names to API property names
    _names = {
        "return_url": 'return_url',
        "cancel_url": 'cancel_url'
    }

    def __init__(self,
                 return_url=None,
                 cancel_url=None):
        """Constructor for the ApplePayExperienceContext class"""

        # Initialize members of the class
        self.return_url = return_url 
        self.cancel_url = cancel_url 

    @classmethod
    def from_dictionary(cls,
                        dictionary):
        """Creates an instance of this model from a dictionary

        Args:
            dictionary (dictionary): A dictionary representation of the object
            as obtained from the deserialization of the server's response. The
            keys MUST match property names in the API description.

        Returns:
            object: An instance of this structure class.

        """

        if not isinstance(dictionary, dict) or dictionary is None:
            return None

        # Extract variables from the dictionary
        return_url = dictionary.get("return_url") if dictionary.get("return_url") else None
        cancel_url = dictionary.get("cancel_url") if dictionary.get("cancel_url") else None
        # Return an object of this model
        return cls(return_url,
                   cancel_url)

    def __repr__(self):
        return (f'{self.__class__.__name__}('
                f'return_url={self.return_url!r}, '
                f'cancel_url={self.cancel_url!r})')

    def __str__(self):
        return (f'{self.__class__.__name__}('
                f'return_url={self.return_url!s}, '
                f'cancel_url={self.cancel_url!s})')
