# -*- coding: utf-8 -*-

"""
paypalserversdk

This file was automatically generated by APIMATIC v3.0 (
 https://www.apimatic.io ).
"""
from paypalserversdk.api_helper import APIHelper
from paypalserversdk.models.order_authorize_request_payment_source import OrderAuthorizeRequestPaymentSource


class OrderAuthorizeRequest(object):

    """Implementation of the 'Order Authorize Request' model.

    The authorization of an order request.

    Attributes:
        payment_source (OrderAuthorizeRequestPaymentSource): The payment
            source definition.

    """

    # Create a mapping from Model property names to API property names
    _names = {
        "payment_source": 'payment_source'
    }

    _optionals = [
        'payment_source',
    ]

    def __init__(self,
                 payment_source=APIHelper.SKIP):
        """Constructor for the OrderAuthorizeRequest class"""

        # Initialize members of the class
        if payment_source is not APIHelper.SKIP:
            self.payment_source = payment_source 

    @classmethod
    def from_dictionary(cls,
                        dictionary):
        """Creates an instance of this model from a dictionary

        Args:
            dictionary (dictionary): A dictionary representation of the object
            as obtained from the deserialization of the server's response. The
            keys MUST match property names in the API description.

        Returns:
            object: An instance of this structure class.

        """

        if not isinstance(dictionary, dict) or dictionary is None:
            return None

        # Extract variables from the dictionary
        payment_source = OrderAuthorizeRequestPaymentSource.from_dictionary(dictionary.get('payment_source')) if 'payment_source' in dictionary.keys() else APIHelper.SKIP
        # Return an object of this model
        return cls(payment_source)

    def __repr__(self):
        return (f'{self.__class__.__name__}('
                f'payment_source={(self.payment_source if hasattr(self, "payment_source") else None)!r})')

    def __str__(self):
        return (f'{self.__class__.__name__}('
                f'payment_source={(self.payment_source if hasattr(self, "payment_source") else None)!s})')
