# -*- coding: utf-8 -*-

"""
paypalserversdk

This file was automatically generated by APIMATIC v3.0 (
 https://www.apimatic.io ).
"""
from paypalserversdk.api_helper import APIHelper
from paypalserversdk.models.money import Money


class OrderUpdateCallbackShippingOption(object):

    """Implementation of the 'Order Update Callback Shipping Option' model.

    The options that the payee or merchant offers to the payer to ship or pick
    up their items.

    Attributes:
        id (str): A unique ID that identifies a payer-selected shipping option.
        label (str): A description that the payer sees, which helps them
            choose an appropriate shipping option. For example, `Free
            Shipping`, `USPS Priority Shipping`, `Expédition prioritaire
            USPS`, or `USPS yōuxiān fā huò`. Localize this description to the
            payer's locale.
        mtype (ShippingType): A classification for the method of purchase
            fulfillment.
        amount (Money): The currency and amount for a financial transaction,
            such as a balance or payment due.

    """

    # Create a mapping from Model property names to API property names
    _names = {
        "id": 'id',
        "label": 'label',
        "mtype": 'type',
        "amount": 'amount'
    }

    _optionals = [
        'mtype',
        'amount',
    ]

    def __init__(self,
                 id=None,
                 label=None,
                 mtype=APIHelper.SKIP,
                 amount=APIHelper.SKIP):
        """Constructor for the OrderUpdateCallbackShippingOption class"""

        # Initialize members of the class
        self.id = id 
        self.label = label 
        if mtype is not APIHelper.SKIP:
            self.mtype = mtype 
        if amount is not APIHelper.SKIP:
            self.amount = amount 

    @classmethod
    def from_dictionary(cls,
                        dictionary):
        """Creates an instance of this model from a dictionary

        Args:
            dictionary (dictionary): A dictionary representation of the object
            as obtained from the deserialization of the server's response. The
            keys MUST match property names in the API description.

        Returns:
            object: An instance of this structure class.

        """

        if not isinstance(dictionary, dict) or dictionary is None:
            return None

        # Extract variables from the dictionary
        id = dictionary.get("id") if dictionary.get("id") else None
        label = dictionary.get("label") if dictionary.get("label") else None
        mtype = dictionary.get("type") if dictionary.get("type") else APIHelper.SKIP
        amount = Money.from_dictionary(dictionary.get('amount')) if 'amount' in dictionary.keys() else APIHelper.SKIP
        # Return an object of this model
        return cls(id,
                   label,
                   mtype,
                   amount)

    def __repr__(self):
        return (f'{self.__class__.__name__}('
                f'id={self.id!r}, '
                f'label={self.label!r}, '
                f'mtype={(self.mtype if hasattr(self, "mtype") else None)!r}, '
                f'amount={(self.amount if hasattr(self, "amount") else None)!r})')

    def __str__(self):
        return (f'{self.__class__.__name__}('
                f'id={self.id!s}, '
                f'label={self.label!s}, '
                f'mtype={(self.mtype if hasattr(self, "mtype") else None)!s}, '
                f'amount={(self.amount if hasattr(self, "amount") else None)!s})')
