# -*- coding: utf-8 -*-

"""
paypalserversdk

This file was automatically generated by APIMATIC v3.0 (
 https://www.apimatic.io ).
"""
from paypalserversdk.api_helper import APIHelper
from paypalserversdk.models.participant_metadata import ParticipantMetadata


class RiskSupplementaryData(object):

    """Implementation of the 'Risk Supplementary Data' model.

    Additional information necessary to evaluate the risk profile of a
    transaction.

    Attributes:
        customer (ParticipantMetadata): Profile information of the sender or
            receiver.

    """

    # Create a mapping from Model property names to API property names
    _names = {
        "customer": 'customer'
    }

    _optionals = [
        'customer',
    ]

    def __init__(self,
                 customer=APIHelper.SKIP):
        """Constructor for the RiskSupplementaryData class"""

        # Initialize members of the class
        if customer is not APIHelper.SKIP:
            self.customer = customer 

    @classmethod
    def from_dictionary(cls,
                        dictionary):
        """Creates an instance of this model from a dictionary

        Args:
            dictionary (dictionary): A dictionary representation of the object
            as obtained from the deserialization of the server's response. The
            keys MUST match property names in the API description.

        Returns:
            object: An instance of this structure class.

        """

        if not isinstance(dictionary, dict) or dictionary is None:
            return None

        # Extract variables from the dictionary
        customer = ParticipantMetadata.from_dictionary(dictionary.get('customer')) if 'customer' in dictionary.keys() else APIHelper.SKIP
        # Return an object of this model
        return cls(customer)

    def __repr__(self):
        return (f'{self.__class__.__name__}('
                f'customer={(self.customer if hasattr(self, "customer") else None)!r})')

    def __str__(self):
        return (f'{self.__class__.__name__}('
                f'customer={(self.customer if hasattr(self, "customer") else None)!s})')
