# -*- coding: utf-8 -*-

"""
paypalserversdk

This file was automatically generated by APIMATIC v3.0 (
 https://www.apimatic.io ).
"""
from paypalserversdk.api_helper import APIHelper


class VenmoWalletVaultAttributes(object):

    """Implementation of the 'Venmo Wallet Vault Attributes' model.

    Resource consolidating common request and response attirbutes for vaulting
    Venmo Wallet.

    Attributes:
        store_in_vault (StoreInVaultInstruction): Defines how and when the
            payment source gets vaulted.
        description (str): The description displayed to Venmo consumer on the
            approval flow for Venmo, as well as on the Venmo payment token
            management experience on Venmo.com.
        usage_pattern (VenmoPaymentTokenUsagePattern): Expected
            business/pricing model for the billing agreement.
        usage_type (VenmoPaymentTokenUsageType): The usage type associated
            with the Venmo payment token.
        customer_type (VenmoPaymentTokenCustomerType): The customer type
            associated with the Venmo payment token. This is to indicate
            whether the customer acting on the merchant / platform is either a
            business or a consumer.
        permit_multiple_payment_tokens (bool): Create multiple payment tokens
            for the same payer, merchant/platform combination. Use this when
            the customer has not logged in at merchant/platform. The payment
            token thus generated, can then also be used to create the customer
            account at merchant/platform. Use this also when multiple payment
            tokens are required for the same payer, different customer at
            merchant/platform. This helps to identify customers distinctly
            even though they may share the same Venmo account.

    """

    # Create a mapping from Model property names to API property names
    _names = {
        "store_in_vault": 'store_in_vault',
        "usage_type": 'usage_type',
        "description": 'description',
        "usage_pattern": 'usage_pattern',
        "customer_type": 'customer_type',
        "permit_multiple_payment_tokens": 'permit_multiple_payment_tokens'
    }

    _optionals = [
        'description',
        'usage_pattern',
        'customer_type',
        'permit_multiple_payment_tokens',
    ]

    def __init__(self,
                 store_in_vault=None,
                 usage_type=None,
                 description=APIHelper.SKIP,
                 usage_pattern=APIHelper.SKIP,
                 customer_type='CONSUMER',
                 permit_multiple_payment_tokens=False):
        """Constructor for the VenmoWalletVaultAttributes class"""

        # Initialize members of the class
        self.store_in_vault = store_in_vault 
        if description is not APIHelper.SKIP:
            self.description = description 
        if usage_pattern is not APIHelper.SKIP:
            self.usage_pattern = usage_pattern 
        self.usage_type = usage_type 
        self.customer_type = customer_type 
        self.permit_multiple_payment_tokens = permit_multiple_payment_tokens 

    @classmethod
    def from_dictionary(cls,
                        dictionary):
        """Creates an instance of this model from a dictionary

        Args:
            dictionary (dictionary): A dictionary representation of the object
            as obtained from the deserialization of the server's response. The
            keys MUST match property names in the API description.

        Returns:
            object: An instance of this structure class.

        """

        if not isinstance(dictionary, dict) or dictionary is None:
            return None

        # Extract variables from the dictionary
        store_in_vault = dictionary.get("store_in_vault") if dictionary.get("store_in_vault") else None
        usage_type = dictionary.get("usage_type") if dictionary.get("usage_type") else None
        description = dictionary.get("description") if dictionary.get("description") else APIHelper.SKIP
        usage_pattern = dictionary.get("usage_pattern") if dictionary.get("usage_pattern") else APIHelper.SKIP
        customer_type = dictionary.get("customer_type") if dictionary.get("customer_type") else 'CONSUMER'
        permit_multiple_payment_tokens = dictionary.get("permit_multiple_payment_tokens") if dictionary.get("permit_multiple_payment_tokens") else False
        # Return an object of this model
        return cls(store_in_vault,
                   usage_type,
                   description,
                   usage_pattern,
                   customer_type,
                   permit_multiple_payment_tokens)

    def __repr__(self):
        return (f'{self.__class__.__name__}('
                f'store_in_vault={self.store_in_vault!r}, '
                f'description={(self.description if hasattr(self, "description") else None)!r}, '
                f'usage_pattern={(self.usage_pattern if hasattr(self, "usage_pattern") else None)!r}, '
                f'usage_type={self.usage_type!r}, '
                f'customer_type={(self.customer_type if hasattr(self, "customer_type") else None)!r}, '
                f'permit_multiple_payment_tokens={(self.permit_multiple_payment_tokens if hasattr(self, "permit_multiple_payment_tokens") else None)!r})')

    def __str__(self):
        return (f'{self.__class__.__name__}('
                f'store_in_vault={self.store_in_vault!s}, '
                f'description={(self.description if hasattr(self, "description") else None)!s}, '
                f'usage_pattern={(self.usage_pattern if hasattr(self, "usage_pattern") else None)!s}, '
                f'usage_type={self.usage_type!s}, '
                f'customer_type={(self.customer_type if hasattr(self, "customer_type") else None)!s}, '
                f'permit_multiple_payment_tokens={(self.permit_multiple_payment_tokens if hasattr(self, "permit_multiple_payment_tokens") else None)!s})')
